## Pull Request Type

<!-- Check the appropriate option -->

- [ ] Feature addition
- [ ] Bugfix
- [ ] Documentation update
- [ ] Code refactor
- [ ] Tests improvement
- [ ] CI/CD pipeline enhancement
- [ ] Other: [Replace with a description]

## Description

<!-- Provide a clear and concise description of the purpose of this PR and why it should be merged -->
<!-- If your code adds or changes features, a usage example would be helpful -->

## Changes

<!-- List the changes you have made in a bullet-point format -->

## Related Issues

<!-- If this PR is related to any open issues, please mention them using "#ISSUENUMBER" -->

## Test Scenarios

<!-- Provide clear instructions on how to test your changes, where applicable - if no tests are required, explain why -->

## Python Compatibility

<!-- Testing 3.11 is not strictly required, but it would be nice if you could confirm that it works. -->

- [ ] I've ensured my code works on Python `3.9.x`
- [ ] I've ensured my code works on Python `3.10.x`
- [ ] I've ensured my code works on Python `3.11.x`
- [ ] I've ensured my code works on Python `3.12.x`

## Checklist

<!-- If you have not completed all the following, there is a good chance your PR will not be merged. -->

- [ ] I've run the `pre-commit` code linter over all edited files
- [ ] I've tested my changes on supported Python versions
- [ ] I've added tests for my code, if applicable
- [ ] I've updated / added documentation, where applicable
